module FlyAdmin::Imbs
  class SubscriptionsController < ApplicationController
    def start
      save_data_to_session

      link_uuid = session[:link] || SiteConfig['default_uuid']
      back_url = CGI.escape "http://#{request.host_with_port}/you_blocked"
      redirect_to "#{SiteConfig['wap_click_addr']}/start/#{link_uuid}?back_url=#{back_url}"
    end
    
    def splash  
      begin
        link = params[:back_url] + "?key=#{params[:customer_key]}"
        redirect_to link
      rescue Exception => e 
        SUBSCRIPTION_LOG.error "#{e.message}\n\t#{e.backtrace}"
        render nothing: true
      end  
    end
    
    private
    
    def save_data_to_session
      case FlyAdmin.paysite_type
      when "serials"
        save_serials_data_to_session
      when "news"
        save_news_data_to_session
      end
    end
    
    def save_serials_data_to_session
      session[:item] = JSON.generate({ :id => params[:video_id], :category_id => params[:category_id], :season_id => params[:season_id] })
    end

    def save_news_data_to_session
      session[:item] = JSON.generate({ :id => params[:item_id], :category_id => params[:category_id] })        
    end 
  end
end
