module FlyAdmin::Imbs::ApplicationHelper

  # If anonymous - link to landing page
  # If customer/admin/etc - link to item page (video#show, article#show etc)  
  
  def item_link(*args)
    case FlyAdmin.paysite_type
    when "serials"
      serials_item_link(*args)
    when "news"
      news_item_link(*args)
    end  
  end

  def serials_item_link(category, season, video)
    if user_signed_in?
      category_season_video_path(category, season, video)
    else
      category_season_video_start_path(category, season, video)
    end
  end

  def news_item_link(category, article)
    if user_signed_in?
      category_article_path(category, article)
    else
      category_start_path(category, article)
    end 
  end

end
