module FlyAdmin
  class Footer < ActiveRecord::Base
    validates_uniqueness_of :paysite_id, scope: :country_id
    validates_presence_of :paysite_id, :country_id
    belongs_to :paysite
    belongs_to :country
    state_machine :source_type, initial: 'local' do
      event :bornpay do
        transition any => 'bornpay'
      end
      
      event :imbs do
        transition any => 'imbs'
      end

      # Если футер локальный, запросы к bornpay/imbs не делаем
      event :local do
        transition any => 'local'
      end
    end
  end
end
